Package org.apache.sysds.lops

# Enum Class Ctable.OperationTypes

java.lang.Object
java.lang.Enum<Ctable.OperationTypes>
org.apache.sysds.lops.Ctable.OperationTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<Ctable.OperationTypes>`, `Constable`

Enclosing class:
  Ctable

public static enum Ctable.OperationTypes extends Enum<Ctable.OperationTypes>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CTABLE_EXPAND_SCALAR_WEIGHT`
`CTABLE_TRANSFORM`
`CTABLE_TRANSFORM_HISTOGRAM`
`CTABLE_TRANSFORM_SCALAR_WEIGHT`
`CTABLE_TRANSFORM_WEIGHTED_HISTOGRAM`
`INVALID`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasSecondInput()`
`boolean`
`hasThirdInput()`
`static Ctable.OperationTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Ctable.OperationTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CTABLE_TRANSFORM

public static final Ctable.OperationTypes CTABLE_TRANSFORM

### CTABLE_TRANSFORM_SCALAR_WEIGHT

public static final Ctable.OperationTypes CTABLE_TRANSFORM_SCALAR_WEIGHT

### CTABLE_TRANSFORM_HISTOGRAM

public static final Ctable.OperationTypes CTABLE_TRANSFORM_HISTOGRAM

### CTABLE_TRANSFORM_WEIGHTED_HISTOGRAM

public static final Ctable.OperationTypes CTABLE_TRANSFORM_WEIGHTED_HISTOGRAM

### CTABLE_EXPAND_SCALAR_WEIGHT

public static final Ctable.OperationTypes CTABLE_EXPAND_SCALAR_WEIGHT

### INVALID

public static final Ctable.OperationTypes INVALID

## Method Details

### values

public static Ctable.OperationTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Ctable.OperationTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### hasSecondInput

public boolean hasSecondInput()

### hasThirdInput

public boolean hasThirdInput()